$(function () {
    ESONCalendar.bind("start_time");
    ESONCalendar.bind("end_time");

    //查询数据
    $("#search_Btn").click(function () {
        var para = "?page=1";

        if ($("#start_time").val() != "" && $("#end_time").val()) {
            para += "&starttime=" + $("#start_time").val();
            para += "&endtime=" + $("#end_time").val();
        }
        if ($("#keyword_text").val() != "") para += "&keyword=" + $("#keyword_text").val();
        if ($("#isNone_chk").attr("checked")) para += "&isnone=1";
        location.href = $(this).attr("rel") + para;
        return false;
    });

    //删除统计记录
    $("a[rel='del']").click(function () {
        var $delObject = $(this);
        if (confirm("确定要删除该记录吗？")) {
            $.ajax({
                type: "POST",
                url: "Ajax/Visit.ashx",
                data: { 'com': 'delsearchvisit', 'sid': $delObject.attr("href") },
                datatype: "json",
                beforeSend: function (data, textStatus) {
                    showMsg("正在删除记录", true);
                },
                success: function (data, textStatus) {
                    if (data == "1") {
                        $delObject.parent().parent("tr").remove();
                    } else {
                        alert("删除失败!");
                    }
                    showMsg("", false);
                },
                error: function (e) { alert("连接失败,请向Eoyoo官方技术人员反馈!"); }
            })
        }
        return false;
    });

});